Bug 43848 - selecting whole table with merged cells at certain position not possible with draging the mouse
Summary: selecting whole table with merged cells at certain position not possible with...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 45098 89857 (view as bug list)
Depends on:
Blocks: Writer-Tables-Select
  Show dependency treegraph
 
Reported: 2011-12-14 21:33 UTC by dE
Modified: 2018-10-19 22:07 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Try to select all of the table in this document. (9.52 KB, application/vnd.oasis.opendocument.text)
2011-12-14 21:33 UTC, dE
Details

Note You need to log in before you can comment on or make changes to this bug.
Description dE 2011-12-14 21:33:24 UTC
Created attachment 54452 [details]
Try to select all of the table in this document.

Attaching document.

Try to select the whole table in the document.
Comment 1 Jorge Meza 2011-12-15 14:12:53 UTC
I reproduced this bug with LibreOffice 3.4 running on win 7 32 bits and in fact, I couldn't select the whole elements in the table. So I can say it is a reproducible bug.
Comment 2 A (Andy) 2013-04-27 13:12:13 UTC
I can select all the cells, but only if I start selecting from the bottom left (with LO 4.0.2.2 [Win7 Home, 64bit])

The question is now, whether we should now close this issue or whether this is still a bug?
Comment 3 dE 2013-04-29 17:49:15 UTC
(In reply to comment #2)
> I can select all the cells, but only if I start selecting from the bottom
> left (with LO 4.0.2.2 [Win7 Home, 64bit])
> 
> The question is now, whether we should now close this issue or whether this
> is still a bug?

True, but this's still a valid bug.
Comment 4 Cor Nouws 2013-07-26 21:22:52 UTC
Hi *
Can you pls check this for you again?

IN 4.1.0.4, I insert a table, merge two cells, in random cell Ctrl-A > whole table is selected ...

Looks fixed.
Comment 5 dE 2013-07-29 14:45:48 UTC
When the mouse is on the left top most corner of the table, the cursor changes to an arrow pointing to the lower right. When you click, you can select the whole table, but dragging from top most left to right most bottom will give you the same problem.
Comment 6 dE 2013-07-29 14:46:29 UTC
On LO 4.0.4.2

(4.1 requires surprisingly new version of boost to compile)
Comment 7 Cor Nouws 2013-07-29 15:03:13 UTC
(In reply to comment #5)

Work both fine for me. Both in 4.0.4.2 and 4.1.0.4 in a *random example*.
But in your example, indeed, draging with the mouse does not work.

(I did it with Ctrl+A in the table, by the way. And that works too.)

I change the summary, to make the bug more clear right away.

thanks for your further explanation!
Cor
Comment 8 QA Administrators 2015-04-01 14:40:20 UTC Comment hidden (obsolete)
Comment 9 Matthew Francis 2015-04-07 09:39:33 UTC
*** Bug 45098 has been marked as a duplicate of this bug. ***
Comment 10 Matthew Francis 2015-04-07 09:40:17 UTC
*** Bug 89857 has been marked as a duplicate of this bug. ***
Comment 11 Consorci Sanitari de l'Alt Penedès 2016-01-25 17:55:13 UTC
Tested on LibreOffice 3.3.0.4, OOO330m19 (Build:6)
OS: Windows XP SP3

The issue happens in LO first release.
Comment 12 QA Administrators 2017-03-06 13:48:55 UTC Comment hidden (obsolete)
Comment 13 Consorci Sanitari de l'Alt Penedès 2017-03-13 13:32:19 UTC
Bug still present on:
LibreOffice 5.3.0.3
Build: 7074905676c47b82bbcfbea1aeefc84afe1c50e1
Locale: ca_ES
OS: Windows 10 Pro 64bit Spanish, 1607 version, 14393.693 compilation.
Comment 14 QA Administrators 2018-03-14 03:37:58 UTC Comment hidden (obsolete)
Comment 15 Consorci Sanitari de l'Alt Penedès 2018-03-15 09:50:17 UTC
Still occurs in 6.0.2.1

(version) Versió: 6.0.2.1
(build) ID de la construcció: f7f06a8f319e4b62f9bc5095aa112a65d2f3ac89
(pc info) Fils de CPU: 4; SO: Windows 10.0; Renderitzador de la IU: per defecte; 
Configuració local: ca-ES (es_ES); Calc: group